Kirjoittaja Aihe: AMD uudet ajurit  (Luettu 16645 kertaa)

d100a

  • Käyttäjä
  • Viestejä: 114
    • Profiili
AMD uudet ajurit
« : 12.12.14 - klo:08.01 »
AMD on uudistanut ajuri tarjontaansa, jopa niin ei meinaa enää olla selvillä mitä koneeseen työntää, jos mitään.  On valinnan vaikeutta.
« Viimeksi muokattu: 12.12.14 - klo:09.11 kirjoittanut d100a »

d100a

  • Käyttäjä
  • Viestejä: 114
    • Profiili
Vs: AMD uudet ajurit
« Vastaus #1 : 12.12.14 - klo:20.16 »
Täällä on jotain keskustelua asentamisesta. Eli aika nopeasti  päivittyy ohjeetkin näille uusille ajureille.

nm

  • Käyttäjä
  • Viestejä: 16296
    • Profiili
Vs: AMD uudet ajurit
« Vastaus #2 : 12.12.14 - klo:20.32 »
Ajuripaketit 32-bittisiin Ubuntun pitkän tuen versioihin: http://support.amd.com/en-us/download/desktop?os=Ubuntu+x86+32
Ajuripaketit 64-bittisiin Ubuntun pitkän tuen versioihin: http://support.amd.com/en-us/download/desktop?os=Ubuntu+x86+64

Neljä ylintä deb-pakettia on 14.04:lle ja seuraavat neljä 12.04.4:lle. Lataa tiedostot koneelle ja asenna kaksoisklikkaamalla tiedostoselaimessa. Asenna ensin fglrx-core ja sitten muut.


Ubuntu 14.10:n tapauksessa on käytettävä installeria vanhaan tyyliin. Tarkempia ohjeita on linkin Installer notes takana.

Catalyst/fglrx tukee vain Radeon HD 5000-sarjaa ja uudempia näytönohjaimia. Radeon HD 4000-sarja ja vanhemmat toimivat avoimella radeon-ajurilla, joka on Ubuntussa oletuksena käytössä.
« Viimeksi muokattu: 12.12.14 - klo:20.36 kirjoittanut nm »

d100a

  • Käyttäjä
  • Viestejä: 114
    • Profiili
Vs: AMD uudet ajurit
« Vastaus #3 : 12.12.14 - klo:20.36 »
Nämä pitäisi mennä heittämällä myös Mint jakeluihinkin?  Mikä on POSIX?
« Viimeksi muokattu: 12.12.14 - klo:20.41 kirjoittanut d100a »

nm

  • Käyttäjä
  • Viestejä: 16296
    • Profiili
Vs: AMD uudet ajurit
« Vastaus #4 : 12.12.14 - klo:20.39 »
Nämä pitäisi mennä heittämällä myös Mint jakeluihinkin?

Kyllä. Linux Mint 13.4 on rakennettu Ubuntu 12.04.4:n päälle ja Mint 17 on rakennettu Ubuntu 14.04:n päälle. Valitse oikeat paketit näiden vastaavuuksien mukaan.

Tomin

  • Palvelimen ylläpitäjä
  • Käyttäjä / moderaattori+
  • Viestejä: 11450
    • Profiili
    • Tomin kotisivut
Vs: AMD uudet ajurit
« Vastaus #5 : 12.12.14 - klo:23.11 »
Mikä on POSIX?
Se on tavallaan "Unixin standardi", joka sisältää tietyt rajapinnat, ihan näin lyhyesti ilmaistuna. Linux on yksi Unixin kaltainen käyttöjärjestelmä. Se ei ole varsinaisesti Unix, koska sitä ei ole sertifioitu, mutta käytännössä se on yhteensopiva. Jos aihe kiinnostaa enemmän, niin tässä ihan hyviä tietopaketteja:
http://fi.wikipedia.org/wiki/POSIX
http://fi.wikipedia.org/wiki/Unix
http://fi.wikipedia.org/wiki/Unixin_kaltainen_k%C3%A4ytt%C3%B6j%C3%A4rjestelm%C3%A4
Automaattinen allekirjoitus:
Lisäisitkö [RATKAISTU] ketjun ensimmäisen viestin aiheeseen ongelman ratkettua, kiitos.

d100a

  • Käyttäjä
  • Viestejä: 114
    • Profiili
Vs: AMD uudet ajurit
« Vastaus #6 : 13.12.14 - klo:19.38 »

Se on tavallaan "Unixin standardi", joka sisältää tietyt rajapinnat, ihan näin lyhyesti ilmaistuna. Linux on yksi Unixin kaltainen käyttöjärjestelmä. Se ei ole varsinaisesti Unix, koska sitä ei ole sertifioitu, mutta käytännössä se on yhteensopiva. Jos aihe kiinnostaa enemmän, niin tässä ihan hyviä tietopaketteja:
http://fi.wikipedia.org/wiki/POSIX
http://fi.wikipedia.org/wiki/Unix
http://fi.wikipedia.org/wiki/Unixin_kaltainen_k%C3%A4ytt%C3%B6j%C3%A4rjestelm%C3%A4

Joskus nuoruudessa käytin vähäsen Unixia "isokoneympäristössä". Myös MS-DOS tuli tutuksi muutaman kymmenen vuoden takaa..

d100a

  • Käyttäjä
  • Viestejä: 114
    • Profiili
Vs: AMD uudet ajurit
« Vastaus #7 : 17.12.14 - klo:17.55 »
Ajuripaketit 32-bittisiin Ubuntun pitkän tuen versioihin: http://support.amd.com/en-us/download/desktop?os=Ubuntu+x86+32
Ajuripaketit 64-bittisiin Ubuntun pitkän tuen versioihin: http://support.amd.com/en-us/download/desktop?os=Ubuntu+x86+64

Neljä ylintä deb-pakettia on 14.04:lle ja seuraavat neljä 12.04.4:lle. Lataa tiedostot koneelle ja asenna kaksoisklikkaamalla tiedostoselaimessa. Asenna ensin fglrx-core ja sitten muut.


Ubuntu 14.10:n tapauksessa on käytettävä installeria vanhaan tyyliin. Tarkempia ohjeita on linkin Installer notes takana.

Catalyst/fglrx tukee vain Radeon HD 5000-sarjaa ja uudempia näytönohjaimia. Radeon HD 4000-sarja ja vanhemmat toimivat avoimella radeon-ajurilla, joka on Ubuntussa oletuksena käytössä.


Tarkoitat varmaan fglrx-core?
« Viimeksi muokattu: 17.12.14 - klo:17.59 kirjoittanut d100a »

nm

  • Käyttäjä
  • Viestejä: 16296
    • Profiili
Vs: AMD uudet ajurit
« Vastaus #8 : 17.12.14 - klo:19.51 »
Ajuripaketit 32-bittisiin Ubuntun pitkän tuen versioihin: http://support.amd.com/en-us/download/desktop?os=Ubuntu+x86+32
Ajuripaketit 64-bittisiin Ubuntun pitkän tuen versioihin: http://support.amd.com/en-us/download/desktop?os=Ubuntu+x86+64

Neljä ylintä deb-pakettia on 14.04:lle ja seuraavat neljä 12.04.4:lle. Lataa tiedostot koneelle ja asenna kaksoisklikkaamalla tiedostoselaimessa. Asenna ensin fglrx-core ja sitten muut.


Ubuntu 14.10:n tapauksessa on käytettävä installeria vanhaan tyyliin. Tarkempia ohjeita on linkin Installer notes takana.

Catalyst/fglrx tukee vain Radeon HD 5000-sarjaa ja uudempia näytönohjaimia. Radeon HD 4000-sarja ja vanhemmat toimivat avoimella radeon-ajurilla, joka on Ubuntussa oletuksena käytössä.


Tarkoitat varmaan fglrx-core?

Tuo linkittämäsi on siis Ubuntun repositorioiden fglrx-core-paketti Ubuntu 14.10:lle. Se on versio samasta suljetusta Catalyst-ajurista, mutta (yleensä) vanhempi kuin AMD:n sivuilla tarjottava versio. Vaihtoehtona suljetulle Catalystille/fglrx:lle on avoin radeon-ajuri, jota järjestelmä käyttää oletuksena.

Jos olet nyt asentamassa Catalyst Omegaa Ubuntu 14.04:ään / Mint 17:ään, asenna AMD:n sivulta ladattava versio fglrx-coresta. Se on yksi niistä neljästä ajurin deb-paketista, jotka yllä mainitsin.

d100a

  • Käyttäjä
  • Viestejä: 114
    • Profiili
Vs: AMD uudet ajurit
« Vastaus #9 : 17.12.14 - klo:23.39 »
Erroria pukkaa asentaessa. Kun asentelin uutta, niin kyseli "pitää luottaa vanhempaan versioon. Kun yritin asentaa AMD ajuria tuli alla oleva viesti.. Ei se taida olla helppoa kuin heinän teko..

nm

  • Käyttäjä
  • Viestejä: 16296
    • Profiili
Vs: AMD uudet ajurit
« Vastaus #10 : 18.12.14 - klo:01.31 »
Tuossahan on nyt virheenä, että fglrx-core on asentamatta. Latasitko ja asensitko paketin fglrx-core_14.501-0ubuntu1_amd64_UB_14.01.deb (Ubuntu 14.04 / Mint 17, 64-bittinen versio, toiseksi ylin deb-paketti AMD:n sivulla)? Suora linkitys tiedostoon ei näemmä onnistu.
« Viimeksi muokattu: 18.12.14 - klo:01.34 kirjoittanut nm »

raimo

  • Käyttäjä
  • Viestejä: 4217
  • openSUSE Tumbleweed
    • Profiili
Vs: AMD uudet ajurit
« Vastaus #11 : 18.12.14 - klo:01.37 »
Kokeilin puhtaaseen14.04 versioon ja dkms sekä libc6 ja lib32gcc1 pitää asentaa, mutta tässä on "dirty way" jolla homma toimii.
Imuroi kaikki 4 pakettia AMD:n sivulta ja sitten lataushakemistossa päätteeseen:
Koodia: [Valitse]
sudo dpkg -i fglrx*
Koodia: [Valitse]
sudo apt-get -f install1. komennon jälkeen tulee riippuvuusristiriitoja jotka sitten 2. komento korjaa ja asentaa paketiti OK

e: tarkensin että mitä pitää ladata.
« Viimeksi muokattu: 18.12.14 - klo:01.44 kirjoittanut raimo »
Tietä käyden tien on vanki. Vapaa on vain umpihanki.
Aaro Hellaakoski

nm

  • Käyttäjä
  • Viestejä: 16296
    • Profiili
Vs: AMD uudet ajurit
« Vastaus #12 : 18.12.14 - klo:01.39 »
Kokeilin puhtaaseen14.04 versioon ja dkms sekä libc6 ja lib32gcc1 pitää asentaa, mutta tässä on "dirty way" jolla homma toimii.

Hmm. Noiden riippuvuuksien pitäisi asentua automaattisesti, kun lataa kaikki paketit AMD:n sivuilta ja asentaa sovellusvalikoiman kautta oikeassa järjestyksessä, eli fglrx-core ensin. Dpkg ei selvitä riippuvuuksia, mutta sovellusvalikoima hoitaa ne.

raimo

  • Käyttäjä
  • Viestejä: 4217
  • openSUSE Tumbleweed
    • Profiili
Vs: AMD uudet ajurit
« Vastaus #13 : 18.12.14 - klo:01.43 »
Hmm. Noiden riippuvuuksien pitäisi asentua automaattisesti, kun lataa kaikki paketit AMD:n sivuilta ja asentaa sovellusvalikoiman kautta oikeassa järjestyksessä, eli fglrx-core ensin. Dpkg ei selvitä riippuvuuksia, mutta sovellusvalikoima hoitaa ne.

Jep, niinhän se varmaan tekeekin, ei tullut kokeiltua kun päätteessä tulee aina kaikki väkerrettyä, selviää virheet helpommin kun näkee mitää tekee. :)
Tietä käyden tien on vanki. Vapaa on vain umpihanki.
Aaro Hellaakoski

d100a

  • Käyttäjä
  • Viestejä: 114
    • Profiili
Vs: AMD uudet ajurit
« Vastaus #14 : 18.12.14 - klo:19.46 »
Hienot ohjeet, mutta vielä vinee " ristiriita "ocl-icd-libopencl1" paketin kanssa ! ;D

nm

  • Käyttäjä
  • Viestejä: 16296
    • Profiili
Vs: AMD uudet ajurit
« Vastaus #15 : 18.12.14 - klo:20.05 »
Hienot ohjeet, mutta vielä vinee " ristiriita "ocl-icd-libopencl1" paketin kanssa ! ;D

Joutunet poistamaan tuon paketin järjestelmästä, jotta uusi fglrx suostuu asentumaan. Samalla tosin lähtee mm. Wine:

http://devgurus.amd.com/message/1307161

anttimr

  • Käyttäjä
  • Viestejä: 1625
    • Profiili
Vs: AMD uudet ajurit
« Vastaus #16 : 18.12.14 - klo:21.18 »
Törmäsin samaan esteeseen..
Kävin muokkaamassa fglrx-core paketin kontrollitiedostoa, minkä jälkeen ajennus sujahtaa läpi winen rinnalle.
Tämän vastauksen ensimmäisen mukaan:

http://askubuntu.com/questions/540780/14-10-wine-and-fglrx-conflict

Paitsi kohtaa 7 eli apt-get:iä ei tietty tarvita vaan asennetaan AMD:ltä ladatut paketiit dpkg:lla tai sovellusvalikoimasta. 
« Viimeksi muokattu: 18.12.14 - klo:21.22 kirjoittanut anttimr »
Ubuntu 12.10 Quantal Quetzal

d100a

  • Käyttäjä
  • Viestejä: 114
    • Profiili
Vs: AMD uudet ajurit
« Vastaus #17 : 18.12.14 - klo:21.36 »
Sujahti ajurit vauhdilla koneeseen, mutta nyt taulu on musta! Pääsen pääsalanan annettuani eteenpäinkin, mutta kun pitäisi avautua seuraava vaihe, niin vasempaan yläkulmaan jää kursori näkyviin, ja jää siihen. Siis ei etene..😁  :D

nm

  • Käyttäjä
  • Viestejä: 16296
    • Profiili
Vs: AMD uudet ajurit
« Vastaus #18 : 19.12.14 - klo:01.42 »
Ilmeisesti X.org ei käynnisty lainkaan ajuriongelman vuoksi, mutta tekstitilan kirjautuminen toimii.

Kirjaudu sisään ja kopioi X.org:n loki talteen:

Koodia: [Valitse]
cd
cp /var/log/Xorg.0.log .

Poista sitten fglrx-paketit järjestelmästä, jotta X.org lähtee taas toimimaan avoimella ajurilla:

Koodia: [Valitse]
sudo apt-get purge "fglrx*"
Käynnistä uudelleen näppäinyhdistelmällä Ctrl+Alt+Del


Jos työpöytä lähtee toimimaan, laita kotihakemistoosi tallennettu Xorg.0.log viestin liitteeksi.

d100a

  • Käyttäjä
  • Viestejä: 114
    • Profiili
Vs: AMD uudet ajurit
« Vastaus #19 : 19.12.14 - klo:15.01 »
Root:tossa ei pysty suorittamaan,  kun on kirjoitussuojaus päällä. Enkä pääse ctrl ➕ alt➕ f1...